## WebKitDOMHTMLEmbedElement WebKitDOMHTMLEmbedElement |

## Functions

gchar * | webkit_dom_html_embed_element_get_align ()
void | webkit_dom_html_embed_element_set_align ()
glong | webkit_dom_html_embed_element_get_height ()
void | webkit_dom_html_embed_element_set_height ()
gchar * | webkit_dom_html_embed_element_get_name ()
void | webkit_dom_html_embed_element_set_name ()
gchar * | webkit_dom_html_embed_element_get_src ()
void | webkit_dom_html_embed_element_set_src ()
gchar * | webkit_dom_html_embed_element_get_type_attr ()
void | webkit_dom_html_embed_element_set_type_attr ()
glong | webkit_dom_html_embed_element_get_width ()
void | webkit_dom_html_embed_element_set_width ()

## Properties

gchar * | align | Read / Write
glong | height | Read / Write
gchar * | name | Read / Write
gchar * | src | Read / Write
gchar * | type | Read / Write
glong | width | Read / Write

## Types and Values

| WebKitDOMHTMLEmbedElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLEmbedElement

## Implemented Interfaces

WebKitDOMHTMLEmbedElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_embed_element_get_align ()

    gchar *
    webkit_dom_html_embed_element_get_align
                                   (WebKitDOMHTMLEmbedElement *self);

#### Parameters

self | A WebKitDOMHTMLEmbedElement |

#### Returns

A gchar

### webkit_dom_html_embed_element_set_align ()

    void
    webkit_dom_html_embed_element_set_align
                                   (WebKitDOMHTMLEmbedElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLEmbedElement |
value | A gchar |

### webkit_dom_html_embed_element_get_height ()

    glong
    webkit_dom_html_embed_element_get_height
                                   (WebKitDOMHTMLEmbedElement *self);

#### Parameters

self | A WebKitDOMHTMLEmbedElement |

#### Returns

A glong

### webkit_dom_html_embed_element_set_height ()

    void
    webkit_dom_html_embed_element_set_height
                                   (WebKitDOMHTMLEmbedElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLEmbedElement |
value | A glong |

### webkit_dom_html_embed_element_get_name ()

    gchar *
    webkit_dom_html_embed_element_get_name
                                   (WebKitDOMHTMLEmbedElement *self);

#### Parameters

self | A WebKitDOMHTMLEmbedElement |

#### Returns

A gchar

### webkit_dom_html_embed_element_set_name ()

    void
    webkit_dom_html_embed_element_set_name
                                   (WebKitDOMHTMLEmbedElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLEmbedElement |
value | A gchar |

### webkit_dom_html_embed_element_get_src ()

    gchar *
    webkit_dom_html_embed_element_get_src (WebKitDOMHTMLEmbedElement *self);

#### Parameters

self | A WebKitDOMHTMLEmbedElement |

#### Returns

A gchar

### webkit_dom_html_embed_element_set_src ()

    void
    webkit_dom_html_embed_element_set_src (WebKitDOMHTMLEmbedElement *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLEmbedElement |
value | A gchar |

### webkit_dom_html_embed_element_get_type_attr ()

    gchar *
    webkit_dom_html_embed_element_get_type_attr
                                   (WebKitDOMHTMLEmbedElement *self);

#### Parameters

self | A WebKitDOMHTMLEmbedElement |

#### Returns

A gchar

### webkit_dom_html_embed_element_set_type_attr ()

    void
    webkit_dom_html_embed_element_set_type_attr
                                   (WebKitDOMHTMLEmbedElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLEmbedElement |
value | A gchar |

### webkit_dom_html_embed_element_get_width ()

    glong
    webkit_dom_html_embed_element_get_width
                                   (WebKitDOMHTMLEmbedElement *self);

#### Parameters

self | A WebKitDOMHTMLEmbedElement |

#### Returns

A glong

### webkit_dom_html_embed_element_set_width ()

    void
    webkit_dom_html_embed_element_set_width
                                   (WebKitDOMHTMLEmbedElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLEmbedElement |
value | A glong |

## Types and Values

### WebKitDOMHTMLEmbedElement

    typedef struct _WebKitDOMHTMLEmbedElement WebKitDOMHTMLEmbedElement;

## Property Details

### The `“align”` property

      “align”                    gchar *

read-write gchar* HTMLEmbedElement:align.

Flags: Read / Write

Default value: ""

### The `“height”` property

      “height”                   glong

read-write glong HTMLEmbedElement:height.

Flags: Read / Write

Default value: 0

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLEmbedElement:name.

Flags: Read / Write

Default value: ""

### The `“src”` property

      “src”                      gchar *

read-write gchar* HTMLEmbedElement:src.

Flags: Read / Write

Default value: ""

### The `“type”` property

      “type”                     gchar *

read-write gchar* HTMLEmbedElement:type.

Flags: Read / Write

Default value: ""

### The `“width”` property

      “width”                    glong

read-write glong HTMLEmbedElement:width.

Flags: Read / Write

Default value: 0